Subject: RE: [psg.com #245] Mixed host/router behavior

From: "Soliman Hesham" <[email-masked]>
Date: Tue, 29 Jun 2004 03:50:51 -0400

> > Per RFC 2461 the per router list is per interface.
 > > There is an issue for the implementations (probably all 
 > implementations)
 > > which have a per-node default router list, but from the perspective
 > > of the RFC 2461 specification it has already punted on all 
 > aspects of
 > > multi-interfaced hosts.
 > 
 > Yes, so if we allow the mixed behavior, then it is probably 
 > reasonable
 > to allow the node to accept RAs on a "host" interface and to 
 > configure
 > default routers on that interface.  My point is that we should
 > *explicitly* note that the rule for the multi-interfaced hosts also
 > applies to the host-side interfaces on a mixed-behavior node.

=> We can explicitly state it but I think an important point here is that
the spec already allows for this. We can always add more text I suppose, 
it's a matter of taste. 

 > 
 > >> So, (if we concentrate on the "simple" cases), I think we should
 > >> emphasize that even if an interface is not an advertising 
 > interface
 > >> the node still acts as a router on that interface (e.g., it can
 > >> forward from/to that interface, exchange routing 
 > information on that
 > >> interface, etc)
 > 
 > > Whether or not we concentrate on the "simple" case, I think it
 > > makes sense to state that a non-advertising interface is still
 > > one that behaves as a router e.g. the R-bit in the NA should be set
 > > since another router might redirect hosts to use the 
 > router that doesn't
 > > advertise itself.
 > 
 > Hmm, I agree.  Let me rephrase this point then:
 > 
 > - if we concentrate on the "simple" cases, then we should 
 > emphasize in
 >   rfc2461bis that even if an interface is not an advertising 
 > interface
 >   the node still acts as a router on that interface (e.g., it can
 >   forward from/to that interface, exchange routing 
 > information on that
 >   interface, set the R-bit in NAs, etc)

=> Which is stated today by virtue of having two separate flags to indicate
whether "routing" is on and whether "advertising" is on.

 > 
 > - if we allow the mixed behavior, then we should emphasize in
 >   rfc2461bis that even if a "router-behavior" interface is not an
 >   advertising interface, the node still acts as a router on that
 >   interface.

=> Are there missing flags in order to allow this or are you suggesting 
more text. If the latter, I can handle that. 

Hesham

 > 
 > 					JINMEI, Tatuya
 > 					Communication Platform Lab.
 > 					Corporate R&D Center, 
 > Toshiba Corp.
 > 					[email-masked]
 > 
 > --------------------------------------------------------------------
 > IETF IPv6 working group mailing list
 > [email-masked]
 > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
 > --------------------------------------------------------------------
 > 

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Tue, 29 Jun 2004 17:15:52 +0900

>>>>> On Tue, 29 Jun 2004 03:50:51 -0400, 
>>>>> "Soliman Hesham" <[email-masked]> said:

> the spec already allows for this. We can always add more text I suppose, 

Wait a minute...what's the source on why you think "the spec already
allows for this"?  (And I'm feeling I'm a bit confused about what
"this" exactly means).

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Tue, 29 Jun 2004 18:28:32 +0900

> whether "routing" is on and whether "advertising" is on.

Yes, we can understand this if we read the spec very carefully, but,
as I pointed out in a separate message, apparently this is not very
clear and there was actually confusion on this (excuse me referring to
the same multiple times, but see
http://www1.ietf.org/mail-archive/web/ipv6/current/msg02912.html
as an example of the confusion).

Thus, I'd like rfc2462bis to have more explicit note on this point.

> more text. If the latter, I can handle that. 

I'm suggesting more text.  I can contribute it once we have agreed on
the more fundamental issue of whether we should allow the "mixed"
behavior in the first place in rfc2461bis.  (Or, if you want to cook
the text by yourself, that's also fine)

					JINMEI, Tatuya